const sql = require('./mysql')

function getStreamNames() {
    let data = sql.query(`SELECT id, streamName FROM BBLB_DNS.streams`)
    // console.log(data)
    if (data.length == 0) {
        return 'StreamsFailed'
    } else {
        return data
    }
}


function getURLandStreams() {
    let data = sql.query(`SELECT DISTINCT stream, streamURL FROM BBLB_DNS.userAccounts`)
    // console.log(data)
    if (data.length == 0) {
        return 'StreamsFailed'
    } else {
        return data
    }
}

module.exports = {
    getStreamNames,
    getURLandStreams
}

