var express = require('express');
var router = express.Router();

const { getUserId } = require('../lib/getUser')
const { singleAccountCheck } = require('../lib/checker')



/* POST postUser page. */
router.post('/', async function (req, res, next) {
  let postData = req.body
  for (var key in postData) {
    postData[key] = postData[key].trim();
  }
  if (postData.username.includes('KarlOss')) {
    postData.username = postData.username.replace("O", "0")
  }
  postData.userId = getUserId(req.auth.user)
  a = await singleAccountCheck(postData)
  if (a) {
    res.send('Account ' + postData.username + ' Added successfully to ' + req.auth.user)
  } else {
    res.sendStatus(500);
  }
  // }
});

module.exports = router;
