var express = require('express');
var router = express.Router();

const { getUserId } = require('../lib/getUser')
const { userCheck } = require('../lib/checker')

/* POST postUser page. */
router.get('/', async function (req, res, next) {
  let postData = req.body
  postData.userId = getUserId(req.auth.user)
  // postData.userId = 5
  let response = await userCheck(postData)
  console.log(Date.now())
  if (response.update) {
    res.json({ "updatedAccounts": response.count })
  } else {
    res.sendStatus(500);
  }
});

module.exports = router;
